module ArrayBased.InitialData exposing (initialModel)

import Dict
import InputTable.Model exposing (..)
import ArrayBased.Model exposing (..)
import Json.Decode as Decode


initialModel : Model
initialModel =
    { tableState = tableState
    , postMessage = "none"
    , incompleteColumnAndText = Just ( 1, "No" )
    , headerIdsToRemoteIds = Dict.fromList []
    , isLoadingInitialRows = True
    }


tableState : TableState RowData Person
tableState =
    { columns = []
    , accordionColumns = Nothing
    , rows = []
    , searchText = ""
    , showVisibleColumnsUi = False
    , sorting = NoSorting
    , pageSize = Just 50
    , currentPage = 0
    , rowsAreSelectable = True
    , sideBarHeaders = Just []
    , sideBarRowId = Nothing
    , tableAction = Nothing
    , hasSideTable = False
    , sideColumns =
        [ SideColumn "Name" .name
        , SideColumn "Email" .email
        ]
    , sideRows =
        []
    , showSideTable = False
    , sideSearchText = ""
    , cannotAssignSideRowsReason = Nothing
    , sideTableIsAssigning = False
    , sideTableAction = ""
    , sideTablePreposition = ""
    , focussedRow = Nothing
    , rowIdsToTitles = Dict.empty
    , savingState = None
    }
