module Decisions.InitialData exposing (initialModel)

import InputTable.Model exposing (..)
import Decisions.Model exposing (..)
import Dict


initialModel : Model
initialModel =
    { tableState = tableState
    , decisionFilter = NoFilter
    , postMessage = "none"
    , incompleteColumnAndText = Just ( 1, "No" )
    , isLoadingInitialRows = True
    , hasBulkDecisions = False
    , showBulkDecisions = False
    , bulkDecisionsText = ""
    , bulkDecisionsOptions = []
    , focussedBulkDecisionOption = Nothing
    , showBulkDecisionsDropdown = False
    , urlQuery = ""
    }


tableState : TableState RowData Person
tableState =
    { columns = []
    , accordionColumns = Nothing
    , rows = []
    , searchText = ""
    , showVisibleColumnsUi = False
    , sorting = NoSorting
    , pageSize = Just 50
    , currentPage = 0
    , rowsAreSelectable = False
    , sideBarHeaders = Just []
    , sideBarRowId = Nothing
    , tableAction = Nothing
    , sideColumns = []
    , sideRows = []
    , showSideTable = False
    , sideSearchText = ""
    , hasSideTable = False
    , cannotAssignSideRowsReason = Nothing
    , sideTableIsAssigning = False
    , sideTableAction = ""
    , sideTablePreposition = ""
    , focussedRow = Nothing
    , rowIdsToTitles = Dict.empty
    , savingState = None
    }
