module MainView exposing (view)

import Versions
import Decisions.View
import ArrayBased.View
import Html
import MainMessages


view model =
    case model.version of
        Versions.Decisions state ->
            Html.map MainMessages.Decisions
                (Decisions.View.view
                    { rowLink = model.rowLink
                    , rowsAreSelectable = model.rowsAreSelectable
                    , currentPage = model.currentPage
                    }
                    state
                )

        Versions.ArrayBased state ->
            Html.map MainMessages.ArrayBased
                (ArrayBased.View.view
                    { rowLink = model.rowLink
                    , rowsAreSelectable = model.rowsAreSelectable
                    , currentPage = model.currentPage
                    }
                    state
                )

        _ ->
            Html.div [] [ Html.text "Unknown version flag passed to elm app." ]
