module Utils exposing (displayTimeStamp)

import Date
import Date.Extra.Config.Config_en_au as DateConfig
import Date.Extra.Format


-- Date Utils


displayTimeStamp : String -> String
displayTimeStamp =
    let
        displayDate result =
            case result of
                Ok date ->
                    (format config "%-@d %b " date)
                        ++ String.right 2 (format config "%Y" date)
                        ++ (format config ", %-H:%M" date)

                Err _ ->
                    ""

        config =
            DateConfig.config

        format =
            Date.Extra.Format.format
    in
        String.toFloat
            >> Result.map Date.fromTime
            >> displayDate
