port module Main exposing (..)

import Test exposing (..)
import Test.Runner.Node exposing (run, TestProgram)
import Json.Encode exposing (Value)
import ArrayBased.GetTableDataTest
import Decisions.UpdateTest
import InputTable.RowFilterTest
import InputTable.UpdateTest
import InputTable.Updates.SortRowsTest
import UtilsTest


allTests : Test
allTests =
    describe "all tests"
        [ ArrayBased.GetTableDataTest.all
        , Decisions.UpdateTest.all
        , InputTable.RowFilterTest.all
        , InputTable.UpdateTest.all
        , InputTable.Updates.SortRowsTest.all
        , UtilsTest.all
        ]


main : TestProgram
main =
    run emit allTests


port emit : ( String, Value ) -> Cmd msg
